## mingw-w64-qt6-declarative-6.8.1-2.src.tar.zst

=== src/qmltest/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QuickTest Module:
#####################################################################

set_source_files_properties(testlogger.js PROPERTIES
    QT_QML_SKIP_QMLDIR_ENTRY TRUE
)

set_source_files_properties(TestSchedule.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

qt_internal_add_qml_module(QuickTest
    URI "QtTest"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 1
    DEPENDENCIES
        QtQuick.Window/auto
    CONFIG_MODULE_NAME qmltest
    QMAKE_MODULE_CONFIG $${QT.testlib.CONFIG}
    SOURCES
        qtestoptions_p.h
        quicktest.cpp quicktest.h quicktest_p.h
        quicktestevent.cpp quicktestevent_p.h
        quicktestglobal.h quicktestglobal_p.h
        quicktestresult.cpp quicktestresult_p.h
        quicktestutil.cpp quicktestutil_p.h
    QML_FILES
        SignalSpy.qml
        TestCase.qml
        TestSchedule.qml
        testlogger.js
    DEFINES
        QT_NO_FOREACH
        QT_NO_URL_CAST_FROM_STRING
        QT_BUILD_QMLTEST_LIB
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::QmlPrivate
        Qt::Quick
        Qt::QuickPrivate
        Qt::TestPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Test
    PRIVATE_MODULE_INTERFACE
        Qt::TestPrivate
)

qt_internal_extend_target(QuickTest CONDITION QT_FEATURE_qml_debug
    DEFINES
        QT_QML_DEBUG_NO_WARNING
)
qt_internal_add_docs(QuickTest
    doc/qtqmltest.qdocconf
)

=== tests/manual/shared/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

set_source_files_properties(CheckBox.qml TabSet.qml TextField.qml
    PROPERTIES
        QT_QML_SOURCE_VERSIONS 2.1
)

set_source_files_properties(Images.qml
    PROPERTIES
        QT_QML_SINGLETON_TYPE true
        QT_QML_SOURCE_VERSIONS 2.2
)

qt_add_qml_module(${PROJECT_NAME}_shared
    URI shared
    VERSION 2.2
    PLUGIN_TARGET ${PROJECT_NAME}_shared
    SOURCES
        "shared.h"
    QML_FILES
        "Button.qml"
        "CheckBox.qml"
        "FlickrRssModel.qml"
        "Label.qml"
        "LauncherList.qml"
        "SimpleLauncherDelegate.qml"
        "Slider.qml"
        "TabSet.qml"
        "TextField.qml"
        "Images.qml"
    RESOURCES
        "images/back.png"
        "images/checkmark.png"
        "images/next.png"
        "images/qt-logo.png"
        "images/slider_handle.png"
        "images/tab.png"
)

qt_autogen_tools(${PROJECT_NAME}_shared ENABLE_AUTOGEN_TOOLS "moc" "rcc")
if(TARGET Qt::Widgets)
    qt_autogen_tools(${PROJECT_NAME}_shared ENABLE_AUTOGEN_TOOLS "uic")
endif()

include(QtBundleQmlModuleForMacOS.cmake)
# Puts the shared qml module plugin and qmldir into the macOS app bundle directory.
# Only call this function if your main project has the MACOSX_BUNDLE option set.
function(bundle_shared app_target)
    set(qml_module_target "${PROJECT_NAME}_shared")
    add_qml_module_to_macos_app_bundle("${app_target}" "${qml_module_target}")
endfunction()

set(INSTALL_SHAREDDIR "${INSTALL_EXAMPLESDIR}/quick/${PROJECT_NAME}/shared")
install(TARGETS ${PROJECT_NAME}_shared
    RUNTIME DESTINATION "${INSTALL_SHAREDDIR}"
    LIBRARY DESTINATION "${INSTALL_SHAREDDIR}"
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qmldir
    DESTINATION "${INSTALL_SHAREDDIR}"
)

=== tests/manual/windowembedding/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(windowembedding LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Quick Widgets)
find_package(Qt6 QUIET OPTIONAL_COMPONENTS Multimedia)

qt_standard_project_setup(REQUIRES 6.7)

add_subdirectory("../../../examples/quick/shared" "shared")

qt_add_executable(windowembedding
    WIN32
    MACOSX_BUNDLE
    main.cpp
)

target_link_libraries(windowembedding PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    Qt6::Widgets
)

add_dependencies(windowembedding windowembedding_shared)

qt_add_qml_module(windowembedding
    URI windowembeddingexample
    QML_FILES
        "windowembedding.qml"
        "QtLogo.qml"
        "examples/clipping.qml"
        "examples/map.qml"
        "examples/stacking.qml"
        "examples/transform.qml"
        "examples/video.qml"
        "examples/webview.qml"
        "examples/widget.qml"
    RESOURCES
        "qtlogo-white.png"
        "qtlogo-green.png"
    NO_LINT
)

if(TARGET Qt::Multimedia)
    target_link_libraries(windowembedding PRIVATE Qt6::Multimedia)
    qt_target_qml_sources(windowembedding
        QML_FILES "examples/hdr.qml"
        RESOURCES "examples/hdrtest.mp4"
    )
endif()

if(APPLE)
    enable_language(OBJCXX)
    set_source_files_properties(main.cpp PROPERTIES LANGUAGE OBJCXX)
    target_link_libraries(windowembedding PRIVATE
        "-framework WebKit"
        "-framework MapKit"
        "-framework AVFoundation"
        "-framework AVKit"
    )
    if(NOT CMAKE_SYSTEM_NAME STREQUAL "iOS")
        # Xcode fails to sign Contents/PlugIns/shared/qmldir
        set_target_properties(windowembedding PROPERTIES
            XCODE_ATTRIBUTE_CODE_SIGNING_ALLOWED "NO"
        )
    endif()
endif()

install(TARGETS windowembedding
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET windowembedding
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== examples/quick/rendercontrol/rendercontrol_rhi/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(rendercontrol_rhi LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Widgets)

qt_standard_project_setup(REQUIRES 6.8)

qt_add_executable(rendercontrol_rhi WIN32 MACOSX_BUNDLE
    main.cpp
)

target_link_libraries(rendercontrol_rhi PRIVATE
    Qt6::Core
    Qt6::GuiPrivate
    Qt6::Quick
    Qt6::Widgets
)

qt_add_qml_module(rendercontrol_rhi
    URI rendercontrolrhiexample
    QML_FILES
        "demo.qml"
    RESOURCE_PREFIX
        "/"
    NO_RESOURCE_TARGET_PATH
)

install(TARGETS rendercontrol_rhi
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET rendercontrol_rhi
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== tests/auto/cmake/test_common_import_path/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(cmake_test)

find_package(Qt6 ${CMAKE_Core_MODULE_MAJOR_VERSION}.${CMAKE_Core_MODULE_MINOR_VERSION}
    REQUIRED COMPONENTS Qml Quick Test)

set(CMAKE_AUTOMOC ON)

# Simplify finding the backing targets' DLLs on Windows
if(WIN32)
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
else()
    add_compile_options (
        -Werror  # Treat all warnings as errors
        -Wshadow # Warn on shadowing
    )
endif()

add_subdirectory(duck/tick)
add_subdirectory(duck/trick)
add_subdirectory(duck/track)

qt_add_executable(cmake_test main.cpp)
target_link_libraries(cmake_test
    PRIVATE Qt6::Quick Qt6::Test Qt6::Gui duck_tickplugin duck_trickplugin duck_trackplugin)

qt_add_qml_module(cmake_test
    URI duck
    VERSION 1.0
    QML_FILES main.qml
    RESOURCE_PREFIX /
)

=== tests/auto/qml/common/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_policy(SET QTP0001 NEW)

qt_internal_add_test(tst_qml_common
    SOURCES
        tst_qml_common.cpp tst_qml_common.h
    LIBRARIES
        Qt::QmlPrivate
)

=== tests/auto/qml/qmlcppcodegen/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qmlcppcodegen LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

add_subdirectory(data)

qt_internal_add_test(tst_qmlcppcodegen
    SOURCES
        tst_qmlcppcodegen.cpp
    LIBRARIES
        Qt::QmlPrivate
        Qt::GuiPrivate
        codegen_test_module
        codegen_test_moduleplugin
        codegen_test_hidden
        codegen_test_hiddenplugin
        codegen_test_stringbuilder
        codegen_test_stringbuilderplugin
)

qt_internal_add_test(tst_qmlcppcodegen_interpreted
    SOURCES
        tst_qmlcppcodegen.cpp
    LIBRARIES
        Qt::QmlPrivate
        Qt::GuiPrivate
        codegen_test_module
        codegen_test_moduleplugin
        codegen_test_hidden
        codegen_test_hiddenplugin
        codegen_test_stringbuilder
        codegen_test_stringbuilderplugin
    DEFINES
        QT_TEST_FORCE_INTERPRETER
)

=== tests/auto/qml/qmllint/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qmllint.pro.

#####################################################################
## tst_qmllint Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qmllint LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

add_library(LintPlugin STATIC lintplugin.h lintplugin.cpp)
target_link_libraries(LintPlugin PRIVATE Qt::QmlCompilerPrivate)
qt_autogen_tools_initial_setup(LintPlugin)
target_compile_definitions(LintPlugin PRIVATE QT_STATICPLUGIN)

qt_internal_add_test(tst_qmllint
    SOURCES
        tst_qmllint.cpp
    LIBRARIES
        Qt::Gui
        Qt::QuickTestUtilsPrivate
        Qt::QmlCompilerPrivate
        LintPlugin
    TESTDATA ${test_data}
)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qmllint CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_qmllint CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

if (TARGET qmllint)
    add_dependencies(tst_qmllint Qt::qmllint)
endif()

if (TARGET QuickControls2Basic)
    add_dependencies(tst_qmllint QuickControls2Basic)
    qt_internal_extend_target(tst_qmllint
        DEFINES
            HAS_QC_BASIC=1
    )
endif()

if (TARGET qmljsrootgen)
    qt_internal_extend_target(tst_qmllint
        DEFINES
            QT_QMLJSROOTGEN_PRESENT
    )

    add_dependencies(tst_qmllint Qt::qmljsrootgen)
endif()

if(QT_FEATURE_process)
    add_subdirectory(importRelScript)
    add_dependencies(tst_qmllint tst_qmllint_import_rel_script)
    target_compile_definitions(tst_qmllint PUBLIC
        TST_QMLLINT_IMPORT_REL_SCRIPT_ARGS="@${CMAKE_CURRENT_BINARY_DIR}/importRelScript/.rcc/qmllint/tst_qmllint_import_rel_script.rsp")
endif()

=== tests/auto/qml/qqmlapplicationengine/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qqmlapplicationengine.pro.

#####################################################################
## tst_qqmlapplicationengine Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qqmlapplicationengine LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qqmlapplicationengine
    SOURCES
        tst_qqmlapplicationengine.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::Network
        Qt::QmlPrivate
        Qt::QuickTestUtilsPrivate
    TESTDATA ${test_data}
)

# Resources:
set(tst_qqmlapplicationengine_resource_files
    "data/i18n/qml.qm"
    "data/loadTranslation.qml"
)

qt_internal_add_resource(tst_qqmlapplicationengine "tst_qqmlapplicationengine"
    PREFIX
        "/"
    FILES
        ${tst_qqmlapplicationengine_resource_files}
)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(tst_qqmlapplicationengine)
endif()

#### Keys ignored in scope 2:.:.:tst_qqmlapplicationengine.pro:<TRUE>:
# TRANSLATIONS = "data/i18n/qml_ja.ts"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qqmlapplicationengine CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_qqmlapplicationengine CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

add_subdirectory(testapp)
add_subdirectory(androidassets)
add_dependencies(tst_qqmlapplicationengine testapp)

add_subdirectory(loadFromModuleTranslationsQmlType)
add_subdirectory(loadFromModuleTranslationsCppType)
add_dependencies(tst_qqmlapplicationengine i18nLoadFromModuleQmlType)
add_dependencies(tst_qqmlapplicationengine i18nLoadFromModuleCppType)

=== tests/auto/qml/qqmldelegatemodel/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qqmldelegatemodel.pro.

#####################################################################
## tst_qqmldelegatemodel Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qqmldelegatemodel LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qqmldelegatemodel
    SOURCES
        tst_qqmldelegatemodel.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::Qml
        Qt::QmlModelsPrivate
        Qt::QmlPrivate
        Qt::Quick
        Qt::QuickPrivate
        Qt::QuickTestUtilsPrivate
    TESTDATA ${test_data}
)

#### Keys ignored in scope 1:.:.:qqmldelegatemodel.pro:<TRUE>:
# OTHER_FILES = "data/*"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qqmldelegatemodel CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_qqmldelegatemodel CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

=== tests/auto/quick/nokeywords/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from nokeywords.pro.

#####################################################################
## tst_nokeywords Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_nokeywords LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_nokeywords
    SOURCES
        tst_nokeywords.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::Quick
        Qt::QuickPrivate
)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_nokeywords CONDITION QT_FEATURE_opengl
    LIBRARIES
        Qt::OpenGLPrivate
)

=== tests/auto/quick/qquickdynamicpropertyanimation/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquickdynamicpropertyanimation.pro.

#####################################################################
## tst_qquickdynamicpropertyanimation Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qquickdynamicpropertyanimation LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qquickdynamicpropertyanimation
    SOURCES
        tst_qquickdynamicpropertyanimation.cpp
    LIBRARIES
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::QuickTestUtilsPrivate
    TESTDATA ${test_data}
)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qquickdynamicpropertyanimation CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_qquickdynamicpropertyanimation CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>
# Contributor: Gary Wang <opensource@blumia.net>

_realname=qt6-declarative
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.8.1
pkgver=${_qtver/-/}
pkgrel=2
pkgdesc='Classes for QML and JavaScript languages (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtdeclarative.git"
msys2_references=(
  'archlinux: qt6-declarative'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:LGPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND GFDL-1.3-no-invariants-only AND GPL-2.0-only AND GPL-3.0-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
             "${MINGW_PACKAGE_PREFIX}-qt6-languageserver"
             "${MINGW_PACKAGE_PREFIX}-qt6-svg"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz"
        001-appending-qt6-to-remove-qt5-conflict.patch)
sha256sums=('95d15d5c1b6adcedb1df6485219ad13b8dc1bb5168b5151f2f1f7246a4c039fc'
            'b08b7a9cd263eaa2f09ec1b7718d79c253b4e30f3a1f47df6c89fa2e85d7659d')

# Helper macros to help make tasks easier #
apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying ${_patch}"
    patch -Nbp1 -i "${srcdir}/${_patch}"
  done
}

prepare() {
  cd $srcdir/${_pkgfn}

  apply_patch_with_msg \
    001-appending-qt6-to-remove-qt5-conflict.patch
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python \
    ../${_pkgfn}

  PATH=$PWD/bin:$PATH ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-declarative() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base")
  optdepends=("${MINGW_PACKAGE_PREFIX}-qt6-svg: for QtQuickVectorImage and svgtoqml"
              "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
              "${MINGW_PACKAGE_PREFIX}-qt6-languageserver")
  conflicts=("${MINGW_PACKAGE_PREFIX}-qt6-quickcontrols2")
  replaces=("${MINGW_PACKAGE_PREFIX}-qt6-quickcontrols2")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs "${pkgdir}"/.${MINGW_PREFIX} "${srcdir}"/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-declarative-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  conflicts=("${MINGW_PACKAGE_PREFIX}-qt6-quickcontrols2-debug")
  replaces=("${MINGW_PACKAGE_PREFIX}-qt6-quickcontrols2-debug")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf "${srcdir}"/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
